indexing
	description: "[
	  " Use the Message_Sender to send text messages to other users.
		The udp socket is used to send packets directly to another
		user's computer, using the information (ip:port) received
		from the server.
 
 		Implement the marked part of the 'execute' - method below.
		Take a look at the whole source code, especially at Instant_Messenger 
	  ";
	  
	  Authors: Keno Albrecht and Angela Nicoara
	]"

	date: "$Date: 2005/04/14 14:42:40 $";
	revision: "$Revision: 1.3 $"

class
	MESSAGE_SENDER

inherit
	POLL_COMMAND
		redefine
			active_medium
		end

create
	make

feature

	active_medium: NETWORK_DATAGRAM_SOCKET

	user: USER
	text: STRING

	-- Sends the text to the specified user as a udp packet.
	-- Send the packet in the specified format: type MESSAGE (1), messageLength (2),
	-- messageText (var).
	execute (arg: ANY) is
	do
		-- TO BE IMPLEMENTED --
	end

	-- set the user and text arguments
	setArguments (user_: USER; text_: STRING) is
	do
		user := user_
		text := text_
	end
		

end -- class MESSAGE_SENDER
